%bcond check 1

Name:           kdecoration5
Summary:        A plugin-based library to create window decorations
Version:        5.27.11
Release:        %autorelease
License:        LGPL-2.1-only OR LGPL-3.0-only
URL:            https://invent.kde.org/plasma/kdecoration
Source0:        http://download.kde.org/stable/plasma/%{version}/kdecoration-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules

BuildRequires:  kf5-rpm-macros
BuildRequires:  qt5-qtbase-devel

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)

%if %{with check}
BuildRequires:  dbus-x11
BuildRequires:  xorg-x11-server-Xvfb
%endif

Requires:       kf5-filesystem

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%package        lang
Summary:        Language files for %{name}
BuildArch:      noarch

%description    lang
This package contains language files for %{name}.

%prep
%autosetup -p1 -n kdecoration-%{version}

%build
%cmake_kf5 -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install

# create/own plugin dir
mkdir -p %{buildroot}%{_kf5_qtplugindir}/org.kde.kdecoration2/

%find_lang kdecoration --with-qt

%check
%if %{with check}
xvfb-run -a bash -c "%ctest"
%endif

%files
%license LICENSES/*.txt
%{_kf5_libdir}/libkdecorations2.so.*
%{_kf5_libdir}/libkdecorations2private.so.*
%dir %{_kf5_qtplugindir}/org.kde.kdecoration2/

%files devel
%{_kf5_libdir}/libkdecorations2.so
%{_kf5_libdir}/libkdecorations2private.so
%{_kf5_libdir}/cmake/KDecoration2/
%{_kf5_includedir}/kdecoration2_version.h
%{_includedir}/KDecoration2

%files lang -f kdecoration.lang

%changelog
%autochangelog
